STRUCT TEMPLATE TAG(3)

NAME
boost::intrusive::tag

SYNOPSIS

// In header: <boost/intrusive/options.hpp>
template<typename Tag>
struct tag {
  // member classes/structs/unions
  // @ template<class Base>
  struct pack {
    // types
    typedef Tag tag;
  };
};

DESCRIPTION

This option setter specifies the type of the tag of a base hook. A type cannot have two base hooks of the same type, so a tag can be used to differentiate two base hooks with otherwise same type